Bug 967294 - gnome-shell uses lots of CPU when trying to use “gnome-control-center region”
gnome-shell uses lots of CPU when trying to use “gnome-control-center region”
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 07:54 EDT by Mike FABIAN
Modified: 2015-02-17 10:20 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:20:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-shell-uses-lots-of-cpu-when-trying-to-use-gnome-control-center-region.png (519.44 KB, image/png)
2013-05-26 07:54 EDT, Mike FABIAN
no flags Details

  None (edit)
Description Mike FABIAN 2013-05-26 07:54:30 EDT
Created attachment 753303 [details]
gnome-shell-uses-lots-of-cpu-when-trying-to-use-gnome-control-center-region.png

I installed Fedora-19-Beta-x86_64-netinst.iso (RC4) in qemu, using:

ionice -c 3 qemu-kvm -enable-kvm -m 2048M -smp 4 -drive file=./Fedora-19-Beta-RC4-x86_64-netinst.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-19-Beta-RC4-x86_64-netinst.iso.qcow2-output.log -name Fedora-19-Beta-RC4-x86_64-netinst.iso.qcow2 -cdrom /local/mfabian/iso/Fedora-19-Beta-RC4/Fedora-19-Beta-x86_64-netinst.iso -boot c -spice port=6000,disable-ticketing -vga qxl -display vnc=:4 -net nic -net user,hostname=Fedora-19-Beta-RC4-x86_64-netinst.iso.qcow2,hostfwd=tcp::5560-:22 -monitor stdio -usb

After the installation, gnome-initial-setup and first loggin in,
I try to click on the “gnome-control-center region” menu entry in
the panel.

The “gnome-control-center region” shows up, but is not usable.
Sometimes it doesn’t even complete drawing itself once, as can be
seen in the screenshot. Not even after waiting several minutes
it finishes redrawing.

Sometimes it does draw itself, but it is so sluggish that it is
practically impossible to click on anything there.

gnome-shell uses a lot of CPU time while this happens (see the “top”
running in gnome-terminal in the background in the screenshot).
Comment 1 Mike FABIAN 2013-05-29 12:17:50 EDT
The problem does *not* happen if I use these qemu options:

ionice -c 3 qemu-kvm -enable-kvm -m 2048M -smp 4 -drive file=./Fedora-19-Beta-RC4-x86_64-netinst.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-19-Beta-RC4-x86_64-netinst.iso.qcow2-output.log -name Fedora-19-Beta-RC4-x86_64-netinst.iso.qcow2 -cdrom /local/mfabian/iso/Fedora-19-Beta-RC4/Fedora-19-Beta-x86_64-netinst.iso -boot c -spice port=6000,disable-ticketing -vga std -display vnc=:4 -net nic -net user,hostname=Fedora-19-Beta-RC4-x86_64-netinst.iso.qcow2,hostfwd=tcp::5560-:22 -monitor stdio -usb

(changed “-vga qxl” to “-vga std” and then used vnc as the viewer, not spicec)

(with “-vga qxl”, vnc does not work, see bug#948717)
Comment 2 Mike FABIAN 2013-05-29 12:21:09 EDT
With “-vga std”, the problem goes away no matter whether I use
spicec or vnc, in both cases “gnome-control-center region” is responsive
and usable.
Comment 3 Fedora End Of Life 2015-01-09 13:13:19 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 10:20:31 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.